tigase.jaxmpp.core.client.xmpp.modules.auth

## Class AuthModule.AuthFailedHandler.AuthFailedEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<AuthModule.AuthFailedHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.auth.AuthModule.AuthFailedHandler.AuthFailedEvent

- Enclosing interface:
    AuthModule.AuthFailedHandler

      public static class AuthModule.AuthFailedHandler.AuthFailedEvent
      extends JaxmppEvent<AuthModule.AuthFailedHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthFailedEvent(SessionObject sessionObject, SaslModule.SaslError error)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(AuthModule.AuthFailedHandler handler)` Invokes handlers method.
    `SaslModule.SaslError` | `getError()`
    `void` | `setError(SaslModule.SaslError error)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthFailedEvent

          public AuthFailedEvent(SessionObject sessionObject,
                                 SaslModule.SaslError error)

  - ### Method Detail

    - #### dispatch

          public void dispatch(AuthModule.AuthFailedHandler handler)
                        throws JaxmppException

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<AuthModule.AuthFailedHandler>`
      Parameters:
        `handler` - handler
      Throws:
        `JaxmppException`

    - #### getError

          public SaslModule.SaslError getError()

    - #### setError

          public void setError(SaslModule.SaslError error)

Copyright © 2006–2023 Tigase. All rights reserved.